package org.springblade.core.oss.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Author pangqijun
 * Date 2023/10/20
 * Description
 */
@Getter
@AllArgsConstructor
public enum OssEnum {
	MINIO("minio", 1),
	QINIU("qiniu", 2),
	ALI("ali", 3),
	TENCENT("tencent", 4),
	HUAWEI("huawei", 5);

	final String name;
	final int category;

	public static OssEnum of(String name) {
		if (name != null) {
			for (OssEnum value : OssEnum.values()) {
				if (value.name.equals(name)) {
					return value;
				}
			}
		}
		return null;
	}
}
