package org.springblade.core.sms.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;

/**
 * Author pangqijun
 * Date 2023/10/20
 * Description
 */
@Data
public class SmsCode implements Serializable {
	private static final long serialVersionUID = 1L;
	private boolean success;
	private String phone;
	private String id;

	public SmsCode() {
		this.success = Boolean.TRUE;
	}

	@JsonIgnore
	private String value;

	public SmsCode setSuccess(final boolean success) {
		this.success = success;
		return this;
	}

	public SmsCode setPhone(final String phone) {
		this.phone = phone;
		return this;
	}

	public SmsCode setId(final String id) {
		this.id = id;
		return this;
	}

	@JsonIgnore
	public SmsCode setValue(final String value) {
		this.value = value;
		return this;
	}
}
