package org.springblade.core.sms.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * Author pangqijun
 * Date 2023/10/20
 * Description
 */
@Data
public class SmsData implements Serializable {
	private static final long serialVersionUID = 1L;
	private String key;
	private Map<String, String> params;

	public SmsData(Map<String, String> params) {
		this.params = params;
	}

	public SmsData setKey(String key) {
		this.key = key;
		return this;
	}

	public SmsData setParams(Map<String, String> params) {
		this.params = params;
		return this;
	}
}
