package org.springblade.core.sms.props;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * Author pangqijun
 * Date 2023/10/20
 * Description
 */
@Data
@ConfigurationProperties(prefix = "sms")
public class SmsProperties {
	private Boolean enabled;
	private String name;
	private String templateId;
	private String regionId = "cn-hangzhou";
	private String accessKey;
	private String secretKey;
	private String signName;
}
